package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.TEntity;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.sujrb.memcached.PBMemCacheManager;
import java.util.Map;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/PBCstInfoSynchrMemcachedAction.class */
public class PBCstInfoSynchrMemcachedAction extends LifeAction {
    private String dataField;
    private String opType;
    private static final String ERROR_CODE_POOL = "EBLN0011";

    public String execute(Context context) throws GENEException {
        if (this.dataField == null || "".equals(this.dataField)) {
            throw new TranFailException(ERROR_CODE_POOL, "数据域不能为空");
        }
        String[] dataArray = this.dataField.split("\\|");
        PBMemCacheManager pm = new PBMemCacheManager();
        String customerId = (String) context.getDataValue(TEntity.customerIdFieldname);
        String bankId = (String) context.getDataValue(TEntity.bankIdFieldName);
        String channelId = (String) context.getDataValue(TEntity.channelFieldname);
        String key = String.valueOf(bankId) + "_" + channelId + "_" + customerId;
        Map<String, Object> map = pm.get(key);
        if (this.opType.equals("0")) {
            for (int i = 0; i < dataArray.length; i++) {
                context.put(dataArray[i], map.get(dataArray[i]));
            }
            return "0";
        }
        if (this.opType.equals("1")) {
            for (int i2 = 0; i2 < dataArray.length; i2++) {
                map.put(dataArray[i2], context.get(dataArray[i2]));
            }
            pm.saveOrupdate(key, map);
            return "0";
        }
        pm.setMemcachedValue(context, this.dataField, map);
        pm.update(key, map);
        return "0";
    }

    public void setDataField(String dataField) {
        this.dataField = dataField;
    }

    public void setOpType(String opType) {
        this.opType = opType;
    }
}
